<?xml version="1.0" encoding="UTF-8"?>
<project default="generateInfrastructure" name="org.polarsys.chess.codegen.ada">
    <property name="ECLIPSE_HOME" value="../../../../.."/>
    <property name="ECLIPSE_WORKSPACE" value="../../../../../workspace"/>

    <!-- The classpath with only the dependencies used by the project -->
    <path id="org.polarsys.chess.codegen.ada.libraryclasspath">
        <pathelement location="${ECLIPSE_WORKSPACE}/org.polarsys.chess.codegen.ada/bin"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.runtime_3.12.0.v20160606-1342.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/javax.inject_1.0.0.v20091030.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi_3.11.3.v20170209-1843.jar"/>
        <pathelement location="${ECLIPSE_WORKSPACE}//.metadata/.plugins/org.eclipse.pde.core/.bundle_pool/plugins/org.eclipse.equinox.transforms.hook_1.1.0.v20131021-1933.jar"/>
        <pathelement location="${ECLIPSE_WORKSPACE}//.metadata/.plugins/org.eclipse.pde.core/.bundle_pool/plugins/org.eclipse.equinox.weaving.hook_1.1.200.v20150730-1648.jar"/>
        <pathelement location="${ECLIPSE_WORKSPACE}//.metadata/.plugins/org.eclipse.pde.core/.bundle_pool/plugins/org.eclipse.equinox.region_1.3.2.v20170118-1930.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi.compatibility.state_1.0.200.v20160504-1419.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.wst.jsdt.nashorn.extension_1.0.2.v201610280128.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.common_3.8.0.v20160509-1230.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.jobs_3.8.0.v20160509-0411.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.registry_3.6.100.v20160223-2218.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.preferences_3.6.1.v20160815-1406.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.contenttype_3.5.100.v20160418-1621.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.app_1.3.400.v20150715-1528.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore_2.12.0.v20160420-0247.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.common_2.12.0.v20160420-0247.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore.xmi_2.12.0.v20160420-0247.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.common_2.1.0.v20170227-0935.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.types_2.0.0.v20170227-0935.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.mapping.ecore2xml_2.9.0.v20160526-0356.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl_3.6.0.v20160523-1914.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/lpg.runtime.java_2.0.17.v201004271640.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.common_1.4.0.v20160521-2033.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.ecore_3.6.0.v20160523-1914.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.common_3.6.6.201610060831.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.parser_3.6.6.201610060831.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.model_3.6.6.201610060831.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.profiler_3.6.6.201610060831.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.engine_3.6.6.201610060831.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen.ecore_2.12.0.v20160526-0356.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen_2.11.0.v20160526-0356.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.marte.static.profile_1.2.0.201703081153.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.commands_3.8.1.v20161221-1651.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.resources_3.11.1.v20161107-2032.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.infra.core_2.1.1.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.infra.tools_2.0.1.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.infra.core.log_1.2.0.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/com.google.guava_15.0.0.v201403281430.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.databinding.observable_1.6.0.v20160511-1747.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.infra.core.sashwindows.di_1.2.0.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.transaction_1.9.0.201606071900.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.edit_2.12.0.v20160526-0356.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore.change_2.11.0.v20160420-0247.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.validation_1.8.0.201606071713.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.editor_1.3.0.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.infra.ui_1.3.0.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.expressions_3.5.100.v20160418-1621.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ui.ide_3.12.3.v20170119-0935.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.infra.core.sasheditor.di_2.0.0.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.infra.core.sasheditor_2.0.0.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ui_3.108.1.v20160929-1045.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.swt_3.105.3.v20170228-0512.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.swt.win32.win32.x86_64_3.105.3.v20170228-0512.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.jface_3.12.2.v20170113-2113.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ui.workbench_3.108.3.v20170216-1539.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.e4.ui.workbench3_0.13.100.v20160506-0759.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.infra.widgets_2.0.1.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.databinding_1.6.0.v20160412-0910.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ui.views.properties.tabbed_3.7.0.v20160310-0903.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ui.forms_3.7.1.v20161220-1635.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ui.views_3.8.102.v20170111-0801.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.infra.services.labelprovider_1.2.1.201703080851.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.jface.text_3.11.2.v20170220-1911.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.text_3.6.0.v20160503-1849.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.m2m.qvt.oml.common_3.6.0.v20160606-1156.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.m2m.qvt.oml.emf.util_3.6.0.v20160606-1156.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.papyrus.sysml_1.2.0.201703081153.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.uml.profile.standard_1.0.100.v20170227-0935.jar"/>
    </path>

    <path id="org.polarsys.chess.codegen.ada.classpath">
        <path refid="org.polarsys.chess.codegen.ada.libraryclasspath"/>
    </path>

    <!-- The classpath with only the jars available in the plugin folder of Eclipse -->
    <path id="org.polarsys.chess.codegen.ada.libraryclasspath.alljars">
        <pathelement location="../org.polarsys.chess.codegen.ada/bin"/>
        <fileset dir="${ECLIPSE_HOME}/plugins/" includes="*.jar"/>
    </path>

    <path id="org.polarsys.chess.codegen.ada.classpath.alljars">
        <path refid="org.polarsys.chess.codegen.ada.libraryclasspath.alljars"/>
    </path>

    <!-- The default task with the jars used by this project -->
    <target name="generateInfrastructure">
        <java classname="org.polarsys.chess.codegen.ada.main.GenerateInfrastructure" classpathref="org.polarsys.chess.codegen.ada.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>

    <!--
        In case of problem you can also try with all the jar available in your Eclipse
        Keep in mind that having two versions of the same jar can create problems
    -->
    <target name="generateInfrastructure.alljars">
        <java classname="org.polarsys.chess.codegen.ada.main.GenerateInfrastructure" classpathref="org.polarsys.chess.codegen.ada.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>
</project>
